<template>
    <modal
        name="menu"
        adaptive
        transition='fade'
        width='100%'
        height='100%'
    >
        <div class="popup_menu">

            <div class="bg"></div>

            <div class="menu" onclick="body.classList.remove('lock')">
                <div class="links" @click="$modal.hide('menu')">
                    <mobile-app-links/>

                    <div class="link"><router-link to="/main">{{$t('message.main')}}</router-link></div>
                    <div class="link"><router-link to="/profile">{{$t('message.my_cabinet')}}</router-link></div>
                    <div class="link"><router-link to="/orders">{{$t('message.departure_in_ukraine')}}</router-link></div>
                    <div class="link"><router-link to="/calculator">{{$t('message.calculate_cost')}}</router-link></div>
                    <div class="link"><a href="http://" target="_blank">{{$t('message.search_department')}}</a></div>
                    <div class="link"><a @click.prevent="logout" href="/logout">{{$t('message.logout')}}</a></div>
                </div>

                <div class="social-links">
                    <ul class="socials">
                        <li><a href="" target="_blank"> <img src="/img/messenger.svg" alt="messenger"></a></li>
                        <li><a href="" target="_blank"> <img src="/img/telegram.svg" alt="telegram"></a></li>
                        <li><a href="" target="_blank"> <img src="/img/instagram.svg" alt="instagram"></a></li>
                        <li><a href="" target="_blank"> <img src="/img/facebook.svg" alt="facebook"></a></li>
                    </ul>
                </div>

                <div class="secondary_menu">

                    <div class="secondary_links" @click="$modal.hide('menu')">
                        <div><router-link to='/feedback'>{{$t('message.feedback')}}</router-link></div>
                        <div><router-link to='/info'>{{$t('message.info')}}</router-link></div>
                    </div>

                    <div @click='$modal.hide("menu")'><router-link to="/package/create" class="button">{{$t('message.create_parcel')}}</router-link></div>
                </div>
            </div>

            <button class="close" @click='$modal.hide("menu")' onclick="body.classList.remove('lock')">
                <img src="/img/close_white.svg">
            </button>
        </div>
    </modal>
</template>

<script>
    import MobileAppLinks from './MobileAppLinks';
	export default {
		name: "PopupMainMenu",
        components: {
            MobileAppLinks
        },
        methods: {
		    logout() {
                window.sessionStorage.clear();
		        window.location.href = '/logout';
            }
        }
	}
</script>
